Create Bill Document Upload URLs
curl --request POST \
--url https://api.meow.com/v1/bills/{bill_id}/documents/presigned-urls \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"files": [
{
"filename": "<string>",
"content_type": "<string>",
"size": 123
}
]
}
'import requests
url = "https://api.meow.com/v1/bills/{bill_id}/documents/presigned-urls"
payload = { "files": [
{
"filename": "<string>",
"content_type": "<string>",
"size": 123
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({files: [{filename: '<string>', content_type: '<string>', size: 123}]})
};
fetch('https://api.meow.com/v1/bills/{bill_id}/documents/presigned-urls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meow.com/v1/bills/{bill_id}/documents/presigned-urls"
payload := strings.NewReader("{\n \"files\": [\n {\n \"filename\": \"<string>\",\n \"content_type\": \"<string>\",\n \"size\": 123\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.meow.com/v1/bills/{bill_id}/documents/presigned-urls")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"files\": [\n {\n \"filename\": \"<string>\",\n \"content_type\": \"<string>\",\n \"size\": 123\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meow.com/v1/bills/{bill_id}/documents/presigned-urls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"files\": [\n {\n \"filename\": \"<string>\",\n \"content_type\": \"<string>\",\n \"size\": 123\n }\n ]\n}"
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meow.com/v1/bills/{bill_id}/documents/presigned-urls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'files' => [
[
'filename' => '<string>',
'content_type' => '<string>',
'size' => 123
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const url = 'https://api.meow.com/v1/bills/{bill_id}/documents/presigned-urls';
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({files: [{filename: '<string>', content_type: '<string>', size: 123}]})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.meow.com/v1/bills/{bill_id}/documents/presigned-urls");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
request.AddJsonBody("{\n \"files\": [\n {\n \"filename\": \"<string>\",\n \"content_type\": \"<string>\",\n \"size\": 123\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"files\": [\n {\n \"filename\": \"<string>\",\n \"content_type\": \"<string>\",\n \"size\": 123\n }\n ]\n}")
val request = Request.Builder()
.url("https://api.meow.com/v1/bills/{bill_id}/documents/presigned-urls")
.post(body)
.addHeader("x-api-key", "<api-key>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()import Foundation
let parameters = ["files": [
[
"filename": "<string>",
"content_type": "<string>",
"size": 123
]
]] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.meow.com/v1/bills/{bill_id}/documents/presigned-urls")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"x-api-key": "<api-key>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))falsefalse$headers=@{}
$headers.Add("x-api-key", "<api-key>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://api.meow.com/v1/bills/{bill_id}/documents/presigned-urls' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"files": [
{
"filename": "<string>",
"content_type": "<string>",
"size": 123
}
]
}'{
"uploads": [
{
"url": "<string>",
"fields": {},
"object_key": "<string>",
"filename": "<string>",
"max_bytes": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Billpay
Create Bill Document Upload URLs
Returns short-lived upload URLs for attaching documents (for example, an invoice) to a bill. Upload each file to its URL, then call the confirm endpoint.
POST
/
bills
/
{bill_id}
/
documents
/
presigned-urls
Create Bill Document Upload URLs
Authorizations
Your Meow API key, sent in the x-api-key header for authentication.
Headers
Optional entity_id to scope requests to a specific entity.
Path Parameters
The bill ID.
Body
application/json
Required array length:
1 - 5 elementsShow child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
⌘I